de.esprit.appsuite.project

## Class AbstractProjectTranslation

- java.lang.Object
- - de.esprit.appsuite.project.AbstractProjectTranslation

- Direct Known Subclasses:
    AppSuiteTranslation, NetSuiteTranslation

      public abstract class AbstractProjectTranslation
      extends java.lang.Object

  This class creates the translation file templates for this project. These templates must be edited manually for translating the text.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProjectTranslation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addNlsKeys(NlsKey[] keys)` Add `NlsKey`s to unique List.
    `java.util.List<NlsKey>` | `getNlsKeyList()`
    `protected abstract java.lang.String` | `getTranslationAppKey()` Returns the project specific translation base key (i.e.
    `void` | `load(Language language)` Loads the Language specific translation tables from the according translation file.
    `protected abstract void` | `loadTranslationClasses()`
    `void` | `save(Project project, Language language)` Stores all translation keys for the given language in the according resource file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractProjectTranslation

          public AbstractProjectTranslation()

  - ### Method Detail

    - #### load

          public void load(Language language)

      Loads the Language specific translation tables from the according translation file. If the language is invalid then the language of Locale.getDefault() is used.

    - #### loadTranslationClasses

          protected abstract void loadTranslationClasses()

    - #### getTranslationAppKey

          protected abstract java.lang.String getTranslationAppKey()

      Returns the project specific translation base key (i.e. 'appsuite' for the EspritAppSuite project).

    - #### save

          public void save(Project project,
                  Language language)
                    throws java.lang.Exception

      Stores all translation keys for the given language in the according resource file. Note that an existing resource file is NOT simply overridden, but dynamically updated, whereas new keys are added (marked as untranslated yet) and obsolete keys are deleted.
      Throws:
        `java.lang.Exception`

    - #### addNlsKeys

          protected final void addNlsKeys(NlsKey[] keys)

      Add `NlsKey`s to unique List.

    - #### getNlsKeyList

          public final java.util.List<NlsKey> getNlsKeyList()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.